package mqtt

import (
	"kpt-pasture/config"
	"kpt-pasture/store/mqttstore"

	"gitee.com/xuyiping_admin/pkg/di"
	"go.uber.org/dig"
)

var Module = di.Options(di.Provide(NewMqtt))

func NewMqtt(entry Entry) DataHandle {
	return &entry
}

type Entry struct {
	dig.In
	Cfg *config.AppConfig
	DB  *mqttstore.DB
}

type DataHandle interface {
	NeckRingHandle(msg []byte)
}
