package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

const (
	High            = "high"
	Rumina          = "rumina"
	WeeklyActive    = "weekly_active"
	XRuminaDisc     = "x_rumina_disc"
	XChangeDiscount = "x_change_discount"
	ActiveLow       = "active_low"
	ActiveMiddle    = "active_middle"
	ActiveHigh      = "active_high"
	MaxHabit        = "max_habit"
)

type NeckRingConfigure struct {
	Id        int64                 `json:"id"`
	PastureId int64                 `json:"pastureId"`
	Name      string                `json:"name"`
	Value     int64                 `json:"value"`
	Remarks   string                `json:"remarks"`
	IsShow    pasturePb.IsShow_Kind `json:"is_show"`
	CreatedAt int64                 `json:"createdAt"`
	UpdatedAt int64                 `json:"updatedAt"`
}

func (s *NeckRingConfigure) TableName() string {
	return "neck_ring_configure"
}
